
# .gitignore
# Bytecode files
*.class
target

# IntelliJ IDEA
.idea/
*.iml
*.iws
*.ipr
target/

# Eclipse
.classpath
.project
.settings/
bin/
target/

# Maven
target/
pom.xml.tag
pom.xml.releaseBackup
pom.xml.versionsBackup
release.properties
dependency-reduced-pom.xml

# Visual Studio Code
.vscode/

# OS generated files #
.DS_Store
.DS_Store?
._*
.Spotlight-V100
.Trashes

# Environment variables file
.env

# Logs
logs/
*.log

# Runtime data
*.run

# Spring Boot
build/
*.jar
*.war